package com.bonus.canteen.core.menu.mapper;

import com.bonus.canteen.core.menu.vo.AppletReserveCanteenVO;
import com.bonus.canteen.core.menu.vo.AppletWeekCanteenVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;
import java.util.Set;

@Mapper
public interface MenuAppRecipeMapper {
   List<AppletWeekCanteenVO> selectWeekCanteenList(@Param("effIdSet") Set<Long> effIdSet);

   List<Long> selectWeekRecipeId(@Param("recipeId") Long recipeId, @Param("effIdSet") Set<Long> effIdSet);

   List<AppletReserveCanteenVO> selectReserveMealCanteenList(@Param("effIdSet") Set<Long> effIdSet);

   List<Long> selectWeekRecipeIdHistory(@Param("recipeIdList")  List<Long> recipeId, @Param("effIdSet") Set<Long> effIdSet, @Param("applyDate") LocalDate applyDate);

   List<Long> getRecipeIdListByRecipeId(@Param("recipeId") Long recipeId);

   String getBingTimeByRecipeId(@Param("recipeId") Long recipeId);

}
